# Business Description for Errors Module

The `errors.py` module defines custom error classes to handle specific error scenarios within the application. These errors extend the base `Exception` class and provide a clear and descriptive message for the error conditions encountered.

## Error Classes

### TruncatedOutputError
- **Description**: This error is raised when the output generated by a process is truncated.
- **Default Message**: "Output was truncated."
- **Usage**: This error helps in identifying issues related to incomplete output data, which can be crucial for debugging and ensuring data integrity.

### InvalidCredentialsError
- **Description**: This error is raised when invalid credentials are provided during authentication.
- **Default Message**: "Invalid credentials"
- **Usage**: This error assists in managing authentication flows, providing feedback to users when their login attempts fail due to incorrect credentials.

## Summary
The `errors.py` module is essential for establishing a robust error handling mechanism in the application, allowing for clearer communication of issues and enhancing the overall user experience.