# Business Description for `src/codemie_tools/git/prompts.py`

The `prompts.py` file is designed to facilitate the generation of new code content based on user tasks while maintaining best practices in software engineering. It utilizes the `PromptTemplate` from the `langchain_core.prompts` module to create a structured prompt for code generation. 

## Key Features:
- **Smart Software Engineering**: The system acts as an intelligent software engineer capable of generating code content based on existing file content.
- **Full Content Generation**: It ensures that all necessary content from the existing file is included in the new code, avoiding omissions.
- **Best Practices**: The generated content adheres to best practices relevant to the technology stack, frameworks, and libraries used in the project.
- **Contextual Prompts**: The prompts are designed to be context-aware, allowing for tailored responses to specific user tasks.

Overall, this file plays a crucial role in automating code generation while ensuring quality and consistency.